# runai training list

list all training frameworks

```
runai training list [flags]
```

## Examples

```
# List all training workloads
runai training list -A

# List training workloads in a specific project
runai training list -p <project_name>

# List training workloads filtered by status
runai training list --status <status>

# List training workloads filtered by framework
runai training list --framework <framework>

# List training workloads with a specific output format
runai training list --yaml

# List training workloads with pagination
runai training list --limit 20 --offset 40

```

## Options

```
  -A, --all                list workloads from all projects
      --framework string   filter by workload framework
  -h, --help               help for list
      --json               Output structure JSON
      --limit int32        the maximum number of entries to return (default 50)
      --no-headers         Output structure table without headers
      --offset int32       offset number of limit, default 0 (first offset)
  -p, --project string     Specify the project to which the command applies. By default, commands apply to the default project. To change the default project use ‘runai config project <project name>’
      --status string      filter by workload state
      --table              Output structure table
      --yaml               Output structure YAML
```

## Options inherited from parent commands

```
      --config-file string   config file name; can be set by environment variable RUNAI_CLI_CONFIG_FILE (default "config.json")
      --config-path string   config path; can be set by environment variable RUNAI_CLI_CONFIG_PATH
  -d, --debug                enable debug mode
  -q, --quiet                enable quiet mode, suppress all output except error messages
      --verbose              enable verbose mode
```

## SEE ALSO

* [runai training](/self-hosted/2.21/reference/cli/runai/runai_training.md) - training management


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://run-ai-docs.nvidia.com/self-hosted/2.21/reference/cli/runai/runai_training_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
